# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/bowtie2, last modified Tue Jan 31 04:04:21 2023
# ------------------------------------------------

package:
  name: bowtie2
  version: 2.5.1
source:
  sha256: 3fe00f4f89b5dd85fd9317e2168ec93f30dbb75d7950a08516c767d21eca7c27
  url: https://github.com/BenLangmead/bowtie2/archive/v2.5.1.tar.gz
build:
  number: '0'
  string: py39hb0aa005_0
requirements:
  build:
    - ca-certificates 2022.12.7 h033912b_0
    - cctools_osx-64 973.0.1 hcc6d90d_11
    - clang 14.0.6 h694c41f_0
    - clang-14 14.0.6 default_h55ffa42_0
    - clang_osx-64 14.0.6 h3113cd8_4
    - clangxx 14.0.6 default_h55ffa42_0
    - clangxx_osx-64 14.0.6 h6f97653_4
    - compiler-rt 14.0.6 h613da45_0
    - compiler-rt_osx-64 14.0.6 hab78ec2_0
    - ld64_osx-64 609 hfd63004_11
    - libclang-cpp14 14.0.6 default_h55ffa42_0
    - libcxx 14.0.6 hccf4f1f_0
    - libllvm14 14.0.6 h5b596cc_1
    - libzlib 1.2.13 hfd90126_4
    - llvm-tools 14.0.6 h5b596cc_1
    - make 4.3 h22f3db7_1
    - openssl 3.0.7 hfd90126_2
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
  host:
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2022.12.7 h033912b_0
    - libcxx 14.0.6 hccf4f1f_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.40.0 ha978bb4_0
    - libzlib 1.2.13 hfd90126_4
    - ncurses 6.3 h96cf925_1
    - openssl 3.0.7 hfd90126_2
    - python 3.9.15 h709bd14_0_cpython
    - readline 8.1.2 h3899abd_0
    - tbb 2021.7.0 hb8565cd_1
    - tbb-devel 2021.7.0 hb8565cd_1
    - tk 8.6.12 h5dbffcc_0
    - tzdata 2022g h191b570_0
    - xz 5.2.6 h775f41a_0
    - zlib 1.2.13 hfd90126_4
    - zstd 1.5.2 hbc0c0cd_6
  run:
    - libcxx >=14.0.6
    - libzlib >=1.2.13,<1.3.0a0
    - perl
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - tbb >=2021.7.0
    - zlib >=1.2.13,<1.3.0a0
    - zstd >=1.5.2,<1.6.0a0
test:
  commands:
    - bowtie2 --help
    - bowtie2 --version
    - bowtie2-align-l --help
    - bowtie2-align-s --help
    - bowtie2-build --help
    - bowtie2-build-l --help
    - bowtie2-build-s --help
    - bowtie2-inspect --help
    - bowtie2-inspect-l --help
    - bowtie2-inspect-s --help
about:
  home: http://bowtie-bio.sourceforge.net/bowtie2/index.shtml
  license: GPL-3.0-only
  license_file: LICENSE
  summary: Fast and sensitive gapped read alignment
extra:
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:bowtie2
    - debian:bowtie2
    - doi:10.1038/nmeth.1923
    - usegalaxy-eu:bowtie2
